Skip to content
PaalChat Docs

Define a contact field

.md
PUT
https://whatsapp.paaltech.org/api/v1/businesses/{external_id}/contact-fields/{key}

Token ability: contacts.write ยท Authentication

Create a custom contact field for the business, or change its label, type or choices.

Path parameters

external_id string required

Your own ID for the business (Multi-SKUUL - the tenant ID).

Max 191 characters. Pattern ^[A-Za-z0-9._:-]+$.

key string required

Max 64 characters. Pattern ^[a-z][a-z0-9_]*$.

Body parameters

label string required

Max 191 characters.

type string required

One of: text, number, date, boolean, choice.

choices array of strings | null

Required for choice fields.

Responses

200

Updated.

201

Created.

401

unauthenticated - missing, invalid, revoked or expired token

403

missing_ability, product_suspended or product_token_required

404

not_found - not yours, or does not exist

422

validation_failed - fields are invalid; see errors.

429

rate_limited - over 300 requests/minute for this product

Errors always look like {"error": {"code", "message"}} - see Errors and status codes.